% initParams Script with configuration parameters
%
% Output: Configuration parameters
%
% :copyright: 2014 by the California Institute of Technology
% :license: BSD 3-Clause, see LICENSE for details

ops = struct(); % options for dynamics
T = 45;         % traj length (sec)
dt = 0.5;       % timestep (sec)
N = ceil(T/dt); % stages
fprintf('Number of stages: %i.\n',N);

model = 'int';
if strcmp(model, 'int')
    n_int = 4; %4;
    ops.n_int = n_int;
    fprintf('Model: %s with n_int = %i\n', model, n_int);
else
    fprintf('Model: %s\n',model);
end

solver = 'gurobi';  % gurobi, cplex, glpk
timeLimit = 20;
gapLimit = 0.01;
solnLimit = Inf;
verbose = 1;
options = initSolver(solver, timeLimit, gapLimit, solnLimit, verbose);

bigM = 10;
blkVar = 2;
